ApiAtlasReplicationArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiAtlasReplicationArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiAtlasReplicationArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiAtlasReplicationArguments
      extends Object

  ApiAtlasReplicationArguments

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiAtlasReplicationArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiAtlasReplicationArguments` | `addAtlasEntityTypeItem(String atlasEntityTypeItem)`
    `ApiAtlasReplicationArguments` | `atlasEntityRegexPattern(String atlasEntityRegexPattern)`
    `ApiAtlasReplicationArguments` | `atlasEntityType(List<String> atlasEntityType)`
    `boolean` | `equals(Object o)`
    `ApiAtlasReplicationArguments` | `fetchType(String fetchType)`
    `String` | `getAtlasEntityRegexPattern()` Get atlasEntityRegexPattern
    `List<String>` | `getAtlasEntityType()` Get atlasEntityType
    `String` | `getFetchType()` Get fetchType
    `String` | `getMatchType()` Get matchType
    `String` | `getPolicyName()` Get policyName
    `Map<String,IcebergReplicationSafetyValve>` | `getSafetyValvesTarget()` Get safetyValvesTarget
    `ApiServiceRef` | `getSourceService()` Get sourceService
    `SourceStorageFilter` | `getSourceStorageFilter()` Get sourceStorageFilter
    `String` | `getStagingDir()` Get stagingDir
    `int` | `hashCode()`
    `Boolean` | `isSkipLineage()` Get skipLineage
    `ApiAtlasReplicationArguments` | `matchType(String matchType)`
    `ApiAtlasReplicationArguments` | `policyName(String policyName)`
    `ApiAtlasReplicationArguments` | `putSafetyValvesTargetItem(String key, IcebergReplicationSafetyValve safetyValvesTargetItem)`
    `ApiAtlasReplicationArguments` | `safetyValvesTarget(Map<String,IcebergReplicationSafetyValve> safetyValvesTarget)`
    `void` | `setAtlasEntityRegexPattern(String atlasEntityRegexPattern)`
    `void` | `setAtlasEntityType(List<String> atlasEntityType)`
    `void` | `setFetchType(String fetchType)`
    `void` | `setMatchType(String matchType)`
    `void` | `setPolicyName(String policyName)`
    `void` | `setSafetyValvesTarget(Map<String,IcebergReplicationSafetyValve> safetyValvesTarget)`
    `void` | `setSkipLineage(Boolean skipLineage)`
    `void` | `setSourceService(ApiServiceRef sourceService)`
    `void` | `setSourceStorageFilter(SourceStorageFilter sourceStorageFilter)`
    `void` | `setStagingDir(String stagingDir)`
    `ApiAtlasReplicationArguments` | `skipLineage(Boolean skipLineage)`
    `ApiAtlasReplicationArguments` | `sourceService(ApiServiceRef sourceService)`
    `ApiAtlasReplicationArguments` | `sourceStorageFilter(SourceStorageFilter sourceStorageFilter)`
    `ApiAtlasReplicationArguments` | `stagingDir(String stagingDir)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiAtlasReplicationArguments

          public ApiAtlasReplicationArguments()

  - ### Method Detail

    - #### sourceService

          public ApiAtlasReplicationArguments sourceService(ApiServiceRef sourceService)

    - #### getSourceService

          public ApiServiceRef getSourceService()

      Get sourceService
      Returns:
        sourceService

    - #### setSourceService

          public void setSourceService(ApiServiceRef sourceService)

    - #### sourceStorageFilter

          public ApiAtlasReplicationArguments sourceStorageFilter(SourceStorageFilter sourceStorageFilter)

    - #### getSourceStorageFilter

          public SourceStorageFilter getSourceStorageFilter()

      Get sourceStorageFilter
      Returns:
        sourceStorageFilter

    - #### setSourceStorageFilter

          public void setSourceStorageFilter(SourceStorageFilter sourceStorageFilter)

    - #### policyName

          public ApiAtlasReplicationArguments policyName(String policyName)

    - #### getPolicyName

          public String getPolicyName()

      Get policyName
      Returns:
        policyName

    - #### setPolicyName

          public void setPolicyName(String policyName)

    - #### stagingDir

          public ApiAtlasReplicationArguments stagingDir(String stagingDir)

    - #### getStagingDir

          public String getStagingDir()

      Get stagingDir
      Returns:
        stagingDir

    - #### setStagingDir

          public void setStagingDir(String stagingDir)

    - #### atlasEntityRegexPattern

          public ApiAtlasReplicationArguments atlasEntityRegexPattern(String atlasEntityRegexPattern)

    - #### getAtlasEntityRegexPattern

          public String getAtlasEntityRegexPattern()

      Get atlasEntityRegexPattern
      Returns:
        atlasEntityRegexPattern

    - #### setAtlasEntityRegexPattern

          public void setAtlasEntityRegexPattern(String atlasEntityRegexPattern)

    - #### safetyValvesTarget

          public ApiAtlasReplicationArguments safetyValvesTarget(Map<String,IcebergReplicationSafetyValve> safetyValvesTarget)

    - #### putSafetyValvesTargetItem

          public ApiAtlasReplicationArguments putSafetyValvesTargetItem(String key,
                                                                        IcebergReplicationSafetyValve safetyValvesTargetItem)

    - #### getSafetyValvesTarget

          public Map<String,IcebergReplicationSafetyValve> getSafetyValvesTarget()

      Get safetyValvesTarget
      Returns:
        safetyValvesTarget

    - #### setSafetyValvesTarget

          public void setSafetyValvesTarget(Map<String,IcebergReplicationSafetyValve> safetyValvesTarget)

    - #### matchType

          public ApiAtlasReplicationArguments matchType(String matchType)

    - #### getMatchType

          public String getMatchType()

      Get matchType
      Returns:
        matchType

    - #### setMatchType

          public void setMatchType(String matchType)

    - #### atlasEntityType

          public ApiAtlasReplicationArguments atlasEntityType(List<String> atlasEntityType)

    - #### addAtlasEntityTypeItem

          public ApiAtlasReplicationArguments addAtlasEntityTypeItem(String atlasEntityTypeItem)

    - #### getAtlasEntityType

          public List<String> getAtlasEntityType()

      Get atlasEntityType
      Returns:
        atlasEntityType

    - #### setAtlasEntityType

          public void setAtlasEntityType(List<String> atlasEntityType)

    - #### skipLineage

          public ApiAtlasReplicationArguments skipLineage(Boolean skipLineage)

    - #### isSkipLineage

          public Boolean isSkipLineage()

      Get skipLineage
      Returns:
        skipLineage

    - #### setSkipLineage

          public void setSkipLineage(Boolean skipLineage)

    - #### fetchType

          public ApiAtlasReplicationArguments fetchType(String fetchType)

    - #### getFetchType

          public String getFetchType()

      Get fetchType
      Returns:
        fetchType

    - #### setFetchType

          public void setFetchType(String fetchType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.